package service.student.studentaddressservice.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import service.student.studentaddressservice.model.StudentAddress;

@Repository
public interface StudentAddressRepository extends JpaRepository<StudentAddress, Long> {

    @Query("select u from StudentAddress u where u.email = ?1")
    StudentAddress findByEmail(String email);
}
